1. Video Generation
PixVerse Platform Docs
  • Overview
    • Introduce to PixVerse Platform
    • Quick Start
    • How does the API work?
    • How to get API key?
    • PixVerse-api-llm.txt
  • Models
    • Model Overview
    • Capability matrix
    • C1
    • V6
    • Pricing
  • Guides
    • Get video generation status
    • Check account balance
    • Subscribe API plans
    • Text-to-video
    • Image-to-video
    • Video Effects
    • Image template
    • Transition(First-last frame Feature)
    • Extend
    • Modify
    • Sound effects
    • Speech(Lip sync)
    • Lip sync TTS speaker list
    • Fusion(Reference to video)
    • Restyle
    • Multi-transition
    • Swap
    • Motion Control(Mimic)?
    • Webhook integration
  • API Reference
    • Rate limit
    • Video Generation
      • Text-to-Video generation
        POST
      • Image-to-Video generation
        POST
      • Template video generation
        POST
      • Transition(First-last frame) generation
        POST
      • Speech(Lipsync) generation
        POST
      • Get Speech(Lipsync) tts list
        GET
      • Fusion(reference to video) generation
        POST
      • Multi-transition video generation
        POST
      • Restyle video generation
        POST
      • Restyle effect list
        GET
      • Swap mask generation
        POST
      • Swap video generation
        POST
      • Sound effect generation
        POST
      • Extend generation
        POST
      • Get Video Generation Status
        GET
      • Motion Control (Mimic) generation
        POST
      • Modify generation
        POST
    • Image generation
      • Image template generation
      • Get Image generation
    • Upload Image
      POST
    • Get user credit balance
      GET
    • Upload Video&audio
      POST
  • Troubleshooting
    • FAQ
    • Common errors and Solutions
    • Error codes
  • Resources
    • Support
    • Change Logs
    • PixVerse MCP
    • Term of Service
    • Privacy policy
  1. Video Generation

Transition(First-last frame) generation

POST
/openapi/v2/video/transition/generate
Transition(First-last frame) generation

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/video/transition/generate' \
--header 'API-KEY: your-api-key' \
--header 'Ai-Trace-Id: {{$string.uuid}}' \
--header 'Content-Type: application/json' \
--data '{
    "prompt": "transform into a puppy",
    "model": "v5",
    "duration": 5,
    "quality": "540p",
    //"motion_mode": "normal",
    "first_frame_img": 0,
    "last_frame_img": 0,
    //"sound_effect_switch":true,
    //"sound_effect_content":"",
    //"lip_sync_tts_switch":true,
    //"lip_sync_tts_content":"",
    //"lip_sync_tts_speaker_id":"",
    "seed": 0
}'
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "string",
    "Resp": {
        "video_id": 0
    }
}
Previous
Template video generation
Next
Speech(Lipsync) generation